# This file defines overlays
{inputs, ...}: {
  # This one brings our custom packages from the 'pkgs' directory
  additions = final: _prev: import ../pkgs {pkgs = final;};

  # This one contains whatever you want to overlay
  # https://nixos.wiki/wiki/Overlays
  selfsuper = (self: super: {
    mpv = super.mpv.override {
      scripts = with self.mpvScripts; [mpris sponsorblock thumbnail];
    };
  });
  
  finalprev = (final: prev: {
    # Patches go here
  });

  # Unstable nixpkgs
  unstable-packages = final: _prev: {
    unstable = import inputs.nixpkgs-unstable {
      system = final.system;
      config.allowUnfree = true;
    };
  };
}
